Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class Parameter

    java.lang.Object
      |
      +--org.apache.axis.wsdl.symbolTable.Parameter

public class Parameter
extends java.lang.Object

This class simply collects

Field Summary
`static byte` | `IN`
`static byte` | `INOUT`
`static byte` | `OUT`

Constructor Summary
`Parameter()`

Method Summary
`java.lang.String` | `getMIMEType()`
`byte` | `getMode()`
`java.lang.String` | `getName()`
`QName` | `getQName()`
`TypeEntry` | `getType()`
`void` | `setMIMEType(java.lang.String mimeType)`
`void` | `setMode(byte mode)`
`void` | `setName(java.lang.String name)`
`void` | `setQName(QName qname)`
`void` | `setType(TypeEntry type)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IN

    public static final byte IN

### OUT

    public static final byte OUT

### INOUT

    public static final byte INOUT

Constructor Detail

### Parameter

    public Parameter()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getQName

    public QName getQName()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### setQName

    public void setQName(QName qname)

### getMIMEType

    public java.lang.String getMIMEType()

### setMIMEType

    public void setMIMEType(java.lang.String mimeType)

### getType

    public TypeEntry getType()

### setType

    public void setType(TypeEntry type)

### getMode

    public byte getMode()

### setMode

    public void setMode(byte mode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.